server {
    listen 81 default_server;
    port_in_redirect off;
    absolute_redirect off;
    root /var/www;
#    location ~ \.php$ {
#        fastcgi_pass php:9000;
#        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
#        include fastcgi_params;
#    }
#    location /admin {
#        auth_basic "Administrator’s Area";
#        auth_basic_user_file conf.d/htpasswd.pwd;
#    }
#    location /phpmyadmin {
#       root /app/phpmyadmin;
#       fastcgi_pass phpmyadmin:9000;
#       fastcgi_index index.php;
#       include fastcgi_params;
#       fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
#    }
    location / {
        gzip_static on;
        root /var/www/borec;
        index index.php index.html index.htm;
        # try_files $uri $uri/ /index.php$is_args$args;  
        location /admin {
            auth_basic "Administrator’s Area";
            auth_basic_user_file conf.d/htpasswd.pwd;
        }
        location ~ \.php$ {
            fastcgi_pass php:9000;
            fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
            include fastcgi_params;
        }
    }
    
    location ^~ /phpmyadmin/ {
        gzip_static on;
        alias /var/www/html/;
        index index.php;

        location ~ \.php$ {
            try_files $uri = 404;
            fastcgi_pass phpmyadmin:9000;
            include fastcgi_params;
            fastcgi_param SCRIPT_FILENAME $request_filename;
            fastcgi_param SCRIPT_NAME $fastcgi_script_name;
            fastcgi_param PATH_INFO $fastcgi_path_info;
        }
    }
}
